GDCM: gdcm::PixmapWriter Class Reference

GDCM 3.2.11

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
gdcm::PixmapWriter Class Reference

PixmapWriter. More...

`#include <gdcmPixmapWriter.h>`

Inheritance diagram for gdcm::PixmapWriter:
[legend]
Collaboration diagram for gdcm::PixmapWriter:
[legend]

## Public Member Functions
| PixmapWriter ()
| ~PixmapWriter () override
virtual Pixmap & | GetImage ()
virtual const Pixmap & | GetImage () const
Pixmap & | GetPixmap ()
const Pixmap & | GetPixmap () const
virtual void | SetImage (Pixmap const &img)
void | SetPixmap (Pixmap const &img)
bool | Write () override
| Write.
Public Member Functions inherited from gdcm::Writer
| Writer ()
virtual | ~Writer ()
void | CheckFileMetaInformationOff ()
void | CheckFileMetaInformationOn ()
File & | GetFile ()
void | SetCheckFileMetaInformation (bool b)
| Undocumented function, do not use (= leave default).
void | SetFile (const File &f)
| Set/Get the DICOM file (DataSet + Header).
void | SetFileName (const char *filename_native)
| Set the filename of DICOM file to write:
void | SetStream (std::ostream &output_stream)
| Set user ostream buffer.

## Protected Member Functions
void | DoIconImage (DataSet &ds, Pixmap const &image)
bool | PrepareWrite (MediaStorage const &refms)
Protected Member Functions inherited from gdcm::Writer
bool | GetCheckFileMetaInformation () const
std::ostream * | GetStreamPtr () const
void | SetWriteDataSetOnly (bool b)

## Protected Attributes
SmartPointer< Pixmap > | PixelData
Protected Attributes inherited from gdcm::Writer
std::ofstream * | Ofstream
std::ostream * | Stream

## Detailed Description

PixmapWriter.

This class will takes two inputs:

1. The DICOM DataSet
2. The Image input It will override any info from the Image over the DataSet.

For instance when one read in a lossy compressed image and write out as unencapsulated (ie implicitly lossless) then some attribute are definitely needed to mark this dataset as Lossy (typically 0028,2114)

Examples
  StandardizeFiles.cs.

## Constructor & Destructor Documentation

## ◆ PixmapWriter()

gdcm::PixmapWriter::PixmapWriter | ( |  | ) |

## ◆ ~PixmapWriter()

gdcm::PixmapWriter::~PixmapWriter | ( |  | ) |
| override

## Member Function Documentation

## ◆ DoIconImage()

void gdcm::PixmapWriter::DoIconImage | ( | DataSet & | ds,
|  | Pixmap const & | image )
| protected

## ◆ GetImage() [1/2]

virtual Pixmap & gdcm::PixmapWriter::GetImage | ( |  | ) |
| inlinevirtual

Reimplemented in gdcm::ImageWriter.

References PixelData.

## ◆ GetImage() [2/2]

virtual const Pixmap & gdcm::PixmapWriter::GetImage | ( |  | ) | const
| inlinevirtual

Set/Get Pixmap to be written It will overwrite anything Pixmap infos found in DataSet (see parent class to see how to pass dataset)

Reimplemented in gdcm::ImageWriter.

References PixelData.

## ◆ GetPixmap() [1/2]

Pixmap & gdcm::PixmapWriter::GetPixmap | ( |  | ) |
| inline

References PixelData.

## ◆ GetPixmap() [2/2]

const Pixmap & gdcm::PixmapWriter::GetPixmap | ( |  | ) | const
| inline

References PixelData.

## ◆ PrepareWrite()

bool gdcm::PixmapWriter::PrepareWrite | ( | MediaStorage const & | refms | ) |
| protected

## ◆ SetImage()

virtual void gdcm::PixmapWriter::SetImage | ( | Pixmap const & | img | ) |
| virtual

Examples
  BasicImageAnonymizer.cs, CompressImage.cxx, CompressLossyJPEG.cs, DecompressImage.cs, GenFakeImage.cxx, GetSubSequenceData.cxx, HelloVizWorld.cxx, MergeTwoFiles.cxx, MpegVideoInfo.cs, and TemplateEmptyImage.cxx.

## ◆ SetPixmap()

void gdcm::PixmapWriter::SetPixmap | ( | Pixmap const & | img | ) |

Examples
  StandardizeFiles.cs.

## ◆ Write()

bool gdcm::PixmapWriter::Write | ( |  | ) |
| overridevirtual

Write.

Reimplemented from gdcm::Writer.

Examples
  StandardizeFiles.cs.

## Member Data Documentation

## ◆ PixelData

SmartPointer<Pixmap> gdcm::PixmapWriter::PixelData
| protected

Referenced by GetImage(), GetImage(), GetPixmap(), and GetPixmap().

The documentation for this class was generated from the following file:

- gdcmPixmapWriter.h